GNU bug report logs - #27240
ln: improve -v/verbose message (arrow direction)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Severity: wishlist; Reported by: L A Walsh <coreutils@HIDDEN>; dated Sun, 4 Jun 2017 21:14:01 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Changed bug title to 'ln: improve -v/verbose message (arrow direction)' from 'inconsistent and confusing output from 'ln' vs. 'cp': can this be fixed?' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 27240 <at> debbugs.gnu.org:


Received: (at 27240) by debbugs.gnu.org; 7 Jun 2017 04:35:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 07 00:35:04 2017
Received: from localhost ([127.0.0.1]:60161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dISgR-00042w-Ob
	for submit <at> debbugs.gnu.org; Wed, 07 Jun 2017 00:35:03 -0400
Received: from mail.magicbluesmoke.com ([82.195.144.49]:49028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <P@HIDDEN>) id 1dISgQ-00042U-Fj
 for 27240 <at> debbugs.gnu.org; Wed, 07 Jun 2017 00:35:02 -0400
Received: from localhost.localdomain (mobile-166-177-251-139.mycingular.net
 [166.177.251.139])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by mail.magicbluesmoke.com (Postfix) with ESMTPSA id BF1674B15;
 Wed,  7 Jun 2017 05:34:59 +0100 (IST)
Subject: Re: bug#27240: inconsistent and confusing output from 'ln' vs. 'cp':
 can this be fixed?
To: Paul Eggert <eggert@HIDDEN>, L A Walsh <coreutils@HIDDEN>,
 27240 <at> debbugs.gnu.org
References: <593477DA.50202@HIDDEN>
 <c8789c5d-8031-4a26-10b0-3ab2152791b2@HIDDEN>
 <25da095d-014b-285d-95e0-96762121649c@HIDDEN>
From: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>
Message-ID: <22ca6a76-4455-5780-b9e3-2a8ab76365ee@HIDDEN>
Date: Tue, 6 Jun 2017 21:34:55 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
In-Reply-To: <25da095d-014b-285d-95e0-96762121649c@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27240
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On 04/06/17 22:07, Paul Eggert wrote:
> Pádraig Brady wrote:
>> Well => is for hardlinks, and both -> and => were used
>> to distinguish the operations (in v5.92-191-g24ce72f)
> 
> As I understand it, part of the motivation is consistency with 'ls':
> 
> $ ln -sv a b
> 'b' -> 'a'
> $ ls -l b
> lrwxrwxrwx 1 eggert eggert 1 Jun  4 21:59 b -> a
> 
> With that in mind, if we were to change the format of 'ln' so that the order was 
> the same as the command line, presumably it would look like this:
> 
> $ ln -sv a b
> 'a' <- 'b'
> $ ln -v c d
> 'c' <= 'd'
> 
> An advantage of this format (over what we're using) is that it's easier to 
> distinguish 'cp -v' from 'ln -v' output in a log. I'm not sure that's enough 
> advantage to change, though. Besides, 'cp -v' vs 'mv -v' output is already 
> ambiguous.

I do like that change for ln.
Whether the improvement might break compatibility is a concern,
though I think that's unlikely.

cheers,
Pádraig





Information forwarded to bug-coreutils@HIDDEN:
bug#27240; Package coreutils. Full text available.

Message received at 27240 <at> debbugs.gnu.org:


Received: (at 27240) by debbugs.gnu.org; 6 Jun 2017 00:52:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 05 20:52:23 2017
Received: from localhost ([127.0.0.1]:58313 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dI2jP-0007kD-0C
	for submit <at> debbugs.gnu.org; Mon, 05 Jun 2017 20:52:23 -0400
Received: from ishtar.tlinx.org ([173.164.175.65]:45194
 helo=Ishtar.sc.tlinx.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <coreutils@HIDDEN>) id 1dI2jN-0007k4-9H
 for 27240 <at> debbugs.gnu.org; Mon, 05 Jun 2017 20:52:21 -0400
Received: from [192.168.3.12] (Athenae [192.168.3.12])
 by Ishtar.sc.tlinx.org (8.14.7/8.14.4/SuSE Linux 0.8) with ESMTP id
 v560qAti077513; Mon, 5 Jun 2017 17:52:12 -0700
Message-ID: <5935FCBA.50502@HIDDEN>
Date: Mon, 05 Jun 2017 17:52:10 -0700
From: L A Walsh <coreutils@HIDDEN>
User-Agent: Thunderbird
MIME-Version: 1.0
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#27240: inconsistent and confusing output from 'ln' vs. 'cp':
 can	this be fixed?
References: <593477DA.50202@HIDDEN>	<c8789c5d-8031-4a26-10b0-3ab2152791b2@HIDDEN>
 <25da095d-014b-285d-95e0-96762121649c@HIDDEN>
In-Reply-To: <25da095d-014b-285d-95e0-96762121649c@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 27240
Cc: 27240 <at> debbugs.gnu.org, =?UTF-8?B?UMOhZHJhaWcgQnJhZHk=?= <P@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Was composing a response to this and started getting
a headache.  Erg.  

in short, 'ls' is the way it is because the listing
puts the files in the 1st column (& in symlink case,
puts target on right).

'ls' creating terminology for cp/mv/ln, is really a case
of the tail wagging the dog.

how to sync 'mv' with any solution ... headache...
have to think about this (in short thinks!)...
--l




Information forwarded to bug-coreutils@HIDDEN:
bug#27240; Package coreutils. Full text available.

Message received at 27240 <at> debbugs.gnu.org:


Received: (at 27240) by debbugs.gnu.org; 5 Jun 2017 05:07:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 05 01:07:59 2017
Received: from localhost ([127.0.0.1]:56369 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dHkFD-0007Ji-DD
	for submit <at> debbugs.gnu.org; Mon, 05 Jun 2017 01:07:59 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:57652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1dHkFB-0007JO-4j
 for 27240 <at> debbugs.gnu.org; Mon, 05 Jun 2017 01:07:58 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 2FB8D1600E7;
 Sun,  4 Jun 2017 22:07:50 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id oze4QODCGTRu; Sun,  4 Jun 2017 22:07:49 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 7BE041600E8;
 Sun,  4 Jun 2017 22:07:49 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id OU5v-wJ4_aWz; Sun,  4 Jun 2017 22:07:49 -0700 (PDT)
Received: from [192.168.1.9] (unknown [47.153.188.248])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 5E3891600E7;
 Sun,  4 Jun 2017 22:07:49 -0700 (PDT)
Subject: Re: bug#27240: inconsistent and confusing output from 'ln' vs. 'cp':
 can this be fixed?
To: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>,
 L A Walsh <coreutils@HIDDEN>, 27240 <at> debbugs.gnu.org
References: <593477DA.50202@HIDDEN>
 <c8789c5d-8031-4a26-10b0-3ab2152791b2@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <25da095d-014b-285d-95e0-96762121649c@HIDDEN>
Date: Sun, 4 Jun 2017 22:07:49 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.1.1
MIME-Version: 1.0
In-Reply-To: <c8789c5d-8031-4a26-10b0-3ab2152791b2@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 27240
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

P=C3=A1draig Brady wrote:
> Well =3D> is for hardlinks, and both -> and =3D> were used
> to distinguish the operations (in v5.92-191-g24ce72f)

As I understand it, part of the motivation is consistency with 'ls':

$ ln -sv a b
'b' -> 'a'
$ ls -l b
lrwxrwxrwx 1 eggert eggert 1 Jun  4 21:59 b -> a

With that in mind, if we were to change the format of 'ln' so that the or=
der was=20
the same as the command line, presumably it would look like this:

$ ln -sv a b
'a' <- 'b'
$ ln -v c d
'c' <=3D 'd'

An advantage of this format (over what we're using) is that it's easier t=
o=20
distinguish 'cp -v' from 'ln -v' output in a log. I'm not sure that's eno=
ugh=20
advantage to change, though. Besides, 'cp -v' vs 'mv -v' output is alread=
y=20
ambiguous.




Information forwarded to bug-coreutils@HIDDEN:
bug#27240; Package coreutils. Full text available.

Message received at 27240 <at> debbugs.gnu.org:


Received: (at 27240) by debbugs.gnu.org; 5 Jun 2017 04:13:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 05 00:13:04 2017
Received: from localhost ([127.0.0.1]:56344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dHjO3-00049H-U3
	for submit <at> debbugs.gnu.org; Mon, 05 Jun 2017 00:13:04 -0400
Received: from mail.magicbluesmoke.com ([82.195.144.49]:47904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <P@HIDDEN>) id 1dHjO1-00048r-Id
 for 27240 <at> debbugs.gnu.org; Mon, 05 Jun 2017 00:13:02 -0400
Received: from localhost.localdomain (mobile-166-177-249-11.mycingular.net
 [166.177.249.11])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by mail.magicbluesmoke.com (Postfix) with ESMTPSA id 4FBF594EA;
 Mon,  5 Jun 2017 05:12:59 +0100 (IST)
Subject: Re: bug#27240: inconsistent and confusing output from 'ln' vs. 'cp':
 can this be fixed?
To: L A Walsh <coreutils@HIDDEN>, 27240 <at> debbugs.gnu.org
References: <593477DA.50202@HIDDEN>
From: =?UTF-8?Q?P=c3=a1draig_Brady?= <P@HIDDEN>
Message-ID: <c8789c5d-8031-4a26-10b0-3ab2152791b2@HIDDEN>
Date: Sun, 4 Jun 2017 21:12:55 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
In-Reply-To: <593477DA.50202@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27240
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On 04/06/17 14:12, L A Walsh wrote:
> 
> Needing to hardlink some files from tree1 to tree2, I
> had them in a script and @first used:
> "cp -lv":
> 
>>  cp -lv src/a dst/a    
> 'src/a' -> 'dst/a'
> 
> Later, I thought to use 'ln -v' for a different tree:
> 
>>  ln -v src/a dst/a
> 'dst/a' => 'src/a'
> 
> 
> Wait a sec.. I'm not linking from dst/a
> to src/b, but the other way around.

Well you're not linking in any direction for the hard link case.
You're creating 'dst/a'. Now you may argue that it should match
cp, though it probably makes more sense to match with the `ln -s` case.
For completeness we have:

$ touch a
$ ln -v a b
'b' => 'a'
$ ln -sv a c
'c' -> 'a'

$ cp -lv a d
'a' -> 'd'
$ cp -sv a e
'a' -> 'e'
$ cp -v a f
'a' -> 'f'

I read the above for ln as "dest linked to source"
and for cp as "source copied to dest".

> Hmm, it's using => instead of ->
> => is what is used for *symlinks*.. and there, one
> would create a link @ dst/a to point to (=>) src/a.

Well => is for hardlinks, and both -> and => were used
to distinguish the operations (in v5.92-191-g24ce72f)

Given the above interpretation I'm not sure there is
anything to change here.

thanks,
Pádraig




Information forwarded to bug-coreutils@HIDDEN:
bug#27240; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Jun 2017 21:13:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 04 17:13:21 2017
Received: from localhost ([127.0.0.1]:56189 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dHcps-0000zQ-To
	for submit <at> debbugs.gnu.org; Sun, 04 Jun 2017 17:13:21 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <coreutils@HIDDEN>) id 1dHcpr-0000zD-KE
 for submit <at> debbugs.gnu.org; Sun, 04 Jun 2017 17:13:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <coreutils@HIDDEN>) id 1dHcpl-00031K-Kk
 for submit <at> debbugs.gnu.org; Sun, 04 Jun 2017 17:13:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49617)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <coreutils@HIDDEN>) id 1dHcpl-00031G-HP
 for submit <at> debbugs.gnu.org; Sun, 04 Jun 2017 17:13:13 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33404)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <coreutils@HIDDEN>) id 1dHcpk-0001aW-H8
 for bug-coreutils@HIDDEN; Sun, 04 Jun 2017 17:13:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <coreutils@HIDDEN>) id 1dHcpf-0002zP-Jv
 for bug-coreutils@HIDDEN; Sun, 04 Jun 2017 17:13:12 -0400
Received: from ishtar.tlinx.org ([173.164.175.65]:50736
 helo=Ishtar.sc.tlinx.org)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <coreutils@HIDDEN>) id 1dHcpf-0002xB-69
 for bug-coreutils@HIDDEN; Sun, 04 Jun 2017 17:13:07 -0400
Received: from [192.168.3.12] (Athenae [192.168.3.12])
 by Ishtar.sc.tlinx.org (8.14.7/8.14.4/SuSE Linux 0.8) with ESMTP id
 v54LCwkx035975
 for <bug-coreutils@HIDDEN>; Sun, 4 Jun 2017 14:13:01 -0700
Message-ID: <593477DA.50202@HIDDEN>
Date: Sun, 04 Jun 2017 14:12:58 -0700
From: L A Walsh <coreutils@HIDDEN>
User-Agent: Thunderbird
MIME-Version: 1.0
To: bug-coreutils@HIDDEN
Subject: inconsistent and confusing output from 'ln' vs. 'cp': can this be
 fixed?
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic] [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


Needing to hardlink some files from tree1 to tree2, I
had them in a script and @first used:
"cp -lv":

>  cp -lv src/a dst/a    
'src/a' -> 'dst/a'

Later, I thought to use 'ln -v' for a different tree:

>  ln -v src/a dst/a
'dst/a' => 'src/a'


Wait a sec.. I'm not linking from dst/a
to src/b, but the other way around.

Hmm, it's using => instead of ->
=> is what is used for *symlinks*.. and there, one
would create a link @ dst/a to point to (=>) src/a.

But this wasn't a symlink.
In the case of hard links, I think the
output in 'ln -v' should be the same as one gets from
cp -lv.  Having the src & dst switched is confusing
for what acts like a copy operation and isn't creating
a link from the dest to the src, since afterward, if
the src disappears, the hard-linked file is still valid
(unlike the case w/symlinks).

Should be semi-trivial given the common code, right? ;-)

Thanks
-linda






Acknowledgement sent to L A Walsh <coreutils@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#27240; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 29 Oct 2018 03:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.